summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenoit Maggi2014-01-31 07:24:03 (EST)
committervlorenzo2014-01-31 07:24:03 (EST)
commitf3e67c84e4d6e6401cea719bd72c2fe5cc1ac88c (patch)
treeebc28737cce803a84f86248a9c2ed3343336a3f3
parent421dcb0da6108b2945e0091695893b6482fa51c0 (diff)
downloadorg.eclipse.papyrus-f3e67c84e4d6e6401cea719bd72c2fe5cc1ac88c.zip
org.eclipse.papyrus-f3e67c84e4d6e6401cea719bd72c2fe5cc1ac88c.tar.gz
org.eclipse.papyrus-f3e67c84e4d6e6401cea719bd72c2fe5cc1ac88c.tar.bz2
Add org.eclipse.papyrus.uml.diagram.composite.test.AllTests to the main
plugin org.eclipse.papyrus.test Conflicts: tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java Change-Id: If74013f4e1f0ead5981691a4d25c101071b69e92 Signed-off-by: Benoit Maggi <benoit.maggi@cea.fr>
-rw-r--r--tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF3
-rw-r--r--tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java1
-rw-r--r--tests/junit/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite.tests/META-INF/MANIFEST.MF4
3 files changed, 6 insertions, 2 deletions
diff --git a/tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF
index d71f488..f79b020 100644
--- a/tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/core/org.eclipse.papyrus.tests/META-INF/MANIFEST.MF
@@ -41,7 +41,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.nattable.views.editor.tests;bundle-version="1.0.0",
org.eclipse.papyrus.infra.nattable.model.editor.tests;bundle-version="1.0.0",
org.eclipse.papyrus.uml.diagram.sequence.tests;bundle-version="1.0.0",
- org.eclipse.papyrus.uml.diagram.interactionoverview.tests;bundle-version="1.0.0"
+ org.eclipse.papyrus.uml.diagram.interactionoverview.tests;bundle-version="1.0.0",
+ org.eclipse.papyrus.uml.diagram.composite.tests;bundle-version="1.0.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
diff --git a/tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java b/tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java
index e07d3df..baac3e4 100644
--- a/tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java
+++ b/tests/junit/plugins/core/org.eclipse.papyrus.tests/test/org/eclipse/papyrus/tests/AllTests.java
@@ -81,6 +81,7 @@ public class AllTests {
suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.component.test.AllTests.class));
suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.timing.tests.AllTests.class));
suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.usecase.tests.AllTests.class));
+ suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.composite.test.AllTests.class));
//suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.sequence.tests.AllTests.class)); //Disabled. They currently do not run on Hudson
// suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.uml.diagram.interactionoverview.tests.AllTests.class)); //Disabled. They currently do not run on Hudson
//
diff --git a/tests/junit/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite.tests/META-INF/MANIFEST.MF
index d820884..105f72a 100644
--- a/tests/junit/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite.tests/META-INF/MANIFEST.MF
@@ -20,4 +20,6 @@ Require-Bundle: org.eclipse.ui,
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ActivationPolicy: lazy
Bundle-Vendor: %providerName
-Bundle-Version: 0.10.8.qualifier
+Bundle-Version: 0.10.1.qualifier
+Export-Package: org.eclipse.papyrus.uml.diagram.composite.test,
+ org.eclipse.papyrus.uml.diagram.composite.test.canonical